libfuse

Data Fields
fuse_context Struct Reference

`#include <fuse.h>`

## Data Fields
struct fuse * | fuse
uid_t | uid
gid_t | gid
pid_t | pid
void * | private_data
mode_t | umask

## Detailed Description

Extra context that may be needed by some filesystems

The uid, gid and pid fields are not filled in case of a writepage operation.

Definition at line 821 of file fuse.h.

## Field Documentation

## ◆ fuse

struct fuse * fuse_context::fuse

Pointer to the fuse object

Definition at line 823 of file fuse.h.

## ◆ gid

gid_t fuse_context::gid

Group ID of the calling process

Definition at line 829 of file fuse.h.

## ◆ pid

pid_t fuse_context::pid

Process ID of the calling thread

Definition at line 832 of file fuse.h.

## ◆ private_data

void * fuse_context::private_data

Private filesystem data

Definition at line 835 of file fuse.h.

## ◆ uid

uid_t fuse_context::uid

User ID of the calling process

Definition at line 826 of file fuse.h.

## ◆ umask

mode_t fuse_context::umask

Umask of the calling process

Definition at line 838 of file fuse.h.

The documentation for this struct was generated from the following file:

- fuse-3.13.0/include/fuse.h